DrawBeadBuilder Class

class NXOpen.Die.DrawBeadBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a builder that is used to create or edit a NXOpen.Die.DrawBead feature.

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateDrawBeadBuilder()

Default values.

Property Value
BaseOrientation Vertical
BuildEndTaper 1
BuildStartTaper 1
CenterlineProjection DrawDirection
Clearance.Value 0.2 (millimeters part), 0.008 (inches part)
EndPoint.InputType SelectLocation
EndTaper.TaperRadius.Value 90 (millimeters part), 3.8 (inches part)
EndTaper.TaperType Spherical
EndTaper.TaperWashoutHeight.Value 10 (millimeters part), 0.4 (inches part)
EndTaper.TaperWashoutLength.Value 50 (millimeters part), 2 (inches part)
FemaleDepthType Derived
FemaleDepthValue.Value 11 (millimeters part), 0.43 (inches part)
FemaleWidthType Derived
FemaleWidthValue.Value 12.4 (millimeters part), 0.488 (inches part)
GenerateHeightCurve 0
MachineOffset 0
MaleBeadPosition Upper
MetalThickness.Value 1 (millimeters part), 0.04 (inches part)
OrientSectionToDraw DrawDirection
Output Male
TaperBead 0
TransitionDefinition Automatic

New in version NX7.5.0.

Properties

Property Description
AngleTolerance Returns or sets the angle tolerance.
BaseOrientation Returns or sets the orientation used to construct the sections representing the bead shape.
BuildEndTaper Returns or sets the indication if the taper at the end of the bead should be built.
BuildStartTaper Returns or sets the indication if the taper at the start of the bead should be built.
Centerline Returns the section containing the centerline of the bead.
CenterlineProjection Returns or sets the projection method to apply to the centerline to place it on the sewn faces.
Clearance Returns the expression containing the clearance value between the male and female bead sheets.
DistanceTolerance Returns or sets the distance tolerance.
DrawDirection Returns the draw direction.
EndPoint Returns the point location defining the end of the centerline.
EndTaper Returns the taper definition at the end of the bead.
FemaleDepthType Returns or sets the method used to calculate the female depth.
FemaleDepthValue Returns the expression containing the female depth value.
FemaleFaceAttribute Returns the attribute definition to be applied to the faces of the female bead sheet body.
FemaleSheetAttribute Returns the attribute definition to be applied to the female bead sheet body.
FemaleWidthType Returns or sets the method used to calculate the female width.
FemaleWidthValue Returns the expression containing the female width value.
GenerateHeightCurve Returns or sets the indication if the height curve should be generated.
MachineOffset Returns or sets the indication if the male and female output bodies are to be built with machining.
MachiningOffsetTitleAttribute Returns the title of the real attribute to be applied to the male and female bodies.
MaleBeadPosition Returns or sets the casting in which to create the male bead.
MaleFaceAttribute Returns the attribute definition to be applied to the faces of the male bead sheet body.
MaleSheetAttribute Returns the attribute definition to be applied to the male bead sheet body.
MetalThickness Returns the expression containing the sheet metal thickness value.
OrientSectionToDraw Returns or sets the method used to orient the section dimensions.
Output Returns or sets the output to be constructed by the draw bead feature.
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PlacementFace Returns the collector containing faces (which will sew together) that identifies the surface shape the bead is attached too.
ReferenceDirection Returns or sets the indication if the Left direction for section orientation should be reversed from the default direction.
ReverseMetalThickness Returns or sets the indication if the thickness of the sheet metal should be the same as the sewn face normals.
SegmentList Returns the list of NXOpen.Die.DrawBeadSegmentBuilder defining the bead sections along the centerline.
SheetMetalFaceAttribute Returns the attribute definition to be applied to the faces of the sheet metal sheet body.
SheetMetalSheetAttribute Returns the attribute definition to be applied to the sheet metal sheet body.
StartPoint Returns the point location defining the start of the centerline.
StartTaper Returns the taper definition at the start of the bead.
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
TaperBead Returns or sets the indication if the bead should allow taper to be added to the side walls.
TransitionDefinition Returns or sets the method used to build the transition between segments.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
CreateDrawBeadSegment Creates a NXOpen.Die.DrawBeadSegmentBuilder builder.
CreateSegmentsFromCenterlineCurves For each curve of the centerline, create a bead segment.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetMoreDetails Get the detailed description strings of the draw bead.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetDefaultDrawDirection Set the default draw direction to the -Z direction of the work coordinate system.
SetMoreDetails Set the detailed description strings of the draw bead.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

DrawBeadBuilderFemaleDepthTypes Enumeration Specifies how the female depth is calculated or defined.
DrawBeadBuilderFemaleWidthTypes Enumeration Specifies how the feamle width is calcualted or defined.
DrawBeadBuilderMaleBeadPositionTypes Enumeration Identifes which casting the male bead is created in.
DrawBeadBuilderOrientSectionToDrawTypes Enumeration Specifies if the segment height section parameter should be oriented to the draw direction or the sheet metal normal at the section location.
DrawBeadBuilderOrientationTypes Enumeration Identifies the orientation of the base parameters to the sheet metal.
DrawBeadBuilderOutputTypes Enumeration Specifies what type of output is desired for the feature creation.
DrawBeadBuilderProjectionDirectionTypes Enumeration Identifes how the centerline should be projected to the placement face during processing.
DrawBeadBuilderTransitionDefinitionTypes Enumeration Specifies how the transition area should be determined from segment to segment within a single bead.

Property Detail

AngleTolerance

DrawBeadBuilder.AngleTolerance

Returns or sets the angle tolerance.

-------------------------------------

Getter Method

Signature AngleTolerance

Returns:
Return type:float

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AngleTolerance

Parameters:angleTolerance (float) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

BaseOrientation

DrawBeadBuilder.BaseOrientation

Returns or sets the orientation used to construct the sections representing the bead shape.

-------------------------------------

Getter Method

Signature BaseOrientation

Returns:
Return type:NXOpen.Die.DrawBeadBuilderOrientationTypes

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BaseOrientation

Parameters:baseOrientation (NXOpen.Die.DrawBeadBuilderOrientationTypes) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

BuildEndTaper

DrawBeadBuilder.BuildEndTaper

Returns or sets the indication if the taper at the end of the bead should be built.

True indicates that the taper at the end of the bead should be created.

-------------------------------------

Getter Method

Signature BuildEndTaper

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BuildEndTaper

Parameters:buildEndTaper (bool) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

BuildStartTaper

DrawBeadBuilder.BuildStartTaper

Returns or sets the indication if the taper at the start of the bead should be built.

True indicates that the taper at the start of the bead should be created.

-------------------------------------

Getter Method

Signature BuildStartTaper

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BuildStartTaper

Parameters:buildStartTaper (bool) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Centerline

DrawBeadBuilder.Centerline

Returns the section containing the centerline of the bead.

-------------------------------------

Getter Method

Signature Centerline

Returns:
Return type:NXOpen.Section

New in version NX7.5.0.

License requirements: None.

CenterlineProjection

DrawBeadBuilder.CenterlineProjection

Returns or sets the projection method to apply to the centerline to place it on the sewn faces.

-------------------------------------

Getter Method

Signature CenterlineProjection

Returns:
Return type:NXOpen.Die.DrawBeadBuilderProjectionDirectionTypes

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CenterlineProjection

Parameters:centerlineProjection (NXOpen.Die.DrawBeadBuilderProjectionDirectionTypes) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Clearance

DrawBeadBuilder.Clearance

Returns the expression containing the clearance value between the male and female bead sheets.

-------------------------------------

Getter Method

Signature Clearance

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

DistanceTolerance

DrawBeadBuilder.DistanceTolerance

Returns or sets the distance tolerance.

-------------------------------------

Getter Method

Signature DistanceTolerance

Returns:
Return type:float

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DistanceTolerance

Parameters:distanceTolerance (float) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

DrawDirection

DrawBeadBuilder.DrawDirection

Returns the draw direction.

-------------------------------------

Getter Method

Signature DrawDirection

Returns:
Return type:NXOpen.Die.DieDirectionBuilder

New in version NX7.5.0.

License requirements: None.

EndPoint

DrawBeadBuilder.EndPoint

Returns the point location defining the end of the centerline.

-------------------------------------

Getter Method

Signature EndPoint

Returns:
Return type:NXOpen.Die.DieLocationBuilder

New in version NX7.5.0.

License requirements: None.

EndTaper

DrawBeadBuilder.EndTaper

Returns the taper definition at the end of the bead.

-------------------------------------

Getter Method

Signature EndTaper

Returns:
Return type:NXOpen.Die.DrawBeadTaperBuilder

New in version NX7.5.0.

License requirements: None.

FemaleDepthType

DrawBeadBuilder.FemaleDepthType

Returns or sets the method used to calculate the female depth.

Only valid when taper bead is false.

-------------------------------------

Getter Method

Signature FemaleDepthType

Returns:
Return type:NXOpen.Die.DrawBeadBuilderFemaleDepthTypes

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature FemaleDepthType

Parameters:femaleDepthType (NXOpen.Die.DrawBeadBuilderFemaleDepthTypes) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

FemaleDepthValue

DrawBeadBuilder.FemaleDepthValue

Returns the expression containing the female depth value.

Only valid when taper bead is false and type is NXOpen.Die.DrawBeadBuilderFemaleDepthTypes.Constant.

-------------------------------------

Getter Method

Signature FemaleDepthValue

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

FemaleFaceAttribute

DrawBeadBuilder.FemaleFaceAttribute

Returns the attribute definition to be applied to the faces of the female bead sheet body.

-------------------------------------

Getter Method

Signature FemaleFaceAttribute

Returns:
Return type:NXOpen.Die.DieAttributesBuilder

New in version NX7.5.0.

License requirements: None.

FemaleSheetAttribute

DrawBeadBuilder.FemaleSheetAttribute

Returns the attribute definition to be applied to the female bead sheet body.

-------------------------------------

Getter Method

Signature FemaleSheetAttribute

Returns:
Return type:NXOpen.Die.DieAttributesBuilder

New in version NX7.5.0.

License requirements: None.

FemaleWidthType

DrawBeadBuilder.FemaleWidthType

Returns or sets the method used to calculate the female width.

Changing this will affect all segments. Only valid when taper bead is false.

-------------------------------------

Getter Method

Signature FemaleWidthType

Returns:
Return type:NXOpen.Die.DrawBeadBuilderFemaleWidthTypes

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature FemaleWidthType

Parameters:femaleWidthType (NXOpen.Die.DrawBeadBuilderFemaleWidthTypes) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

FemaleWidthValue

DrawBeadBuilder.FemaleWidthValue

Returns the expression containing the female width value.

Only valid when taper bead is false and type is NXOpen.Die.DrawBeadBuilderFemaleWidthTypes.Constant.

-------------------------------------

Getter Method

Signature FemaleWidthValue

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

GenerateHeightCurve

DrawBeadBuilder.GenerateHeightCurve

Returns or sets the indication if the height curve should be generated.

True if the height curve should be generated and kept.

-------------------------------------

Getter Method

Signature GenerateHeightCurve

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature GenerateHeightCurve

Parameters:generateHeightCurve (bool) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

MachineOffset

DrawBeadBuilder.MachineOffset

Returns or sets the indication if the male and female output bodies are to be built with machining.

Only valid when taper bead is true.

-------------------------------------

Getter Method

Signature MachineOffset

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature MachineOffset

Parameters:machineOffset (bool) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

MachiningOffsetTitleAttribute

DrawBeadBuilder.MachiningOffsetTitleAttribute

Returns the title of the real attribute to be applied to the male and female bodies.

The value of the attribute specifies the machining offset value to be applied. The value is derived during feature construction.

-------------------------------------

Getter Method

Signature MachiningOffsetTitleAttribute

Returns:
Return type:NXOpen.Die.DieAttributesBuilder

New in version NX7.5.0.

License requirements: None.

MaleBeadPosition

DrawBeadBuilder.MaleBeadPosition

Returns or sets the casting in which to create the male bead.

-------------------------------------

Getter Method

Signature MaleBeadPosition

Returns:
Return type:NXOpen.Die.DrawBeadBuilderMaleBeadPositionTypes

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature MaleBeadPosition

Parameters:maleBeadPosition (NXOpen.Die.DrawBeadBuilderMaleBeadPositionTypes) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

MaleFaceAttribute

DrawBeadBuilder.MaleFaceAttribute

Returns the attribute definition to be applied to the faces of the male bead sheet body.

-------------------------------------

Getter Method

Signature MaleFaceAttribute

Returns:
Return type:NXOpen.Die.DieAttributesBuilder

New in version NX7.5.0.

License requirements: None.

MaleSheetAttribute

DrawBeadBuilder.MaleSheetAttribute

Returns the attribute definition to be applied to the male bead sheet body.

-------------------------------------

Getter Method

Signature MaleSheetAttribute

Returns:
Return type:NXOpen.Die.DieAttributesBuilder

New in version NX7.5.0.

License requirements: None.

MetalThickness

DrawBeadBuilder.MetalThickness

Returns the expression containing the sheet metal thickness value.

-------------------------------------

Getter Method

Signature MetalThickness

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

OrientSectionToDraw

DrawBeadBuilder.OrientSectionToDraw

Returns or sets the method used to orient the section dimensions.

-------------------------------------

Getter Method

Signature OrientSectionToDraw

Returns:
Return type:NXOpen.Die.DrawBeadBuilderOrientSectionToDrawTypes

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature OrientSectionToDraw

Parameters:orientSectionToDraw (NXOpen.Die.DrawBeadBuilderOrientSectionToDrawTypes) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Output

DrawBeadBuilder.Output

Returns or sets the output to be constructed by the draw bead feature.

-------------------------------------

Getter Method

Signature Output

Returns:
Return type:NXOpen.Die.DrawBeadBuilderOutputTypes

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Output

Parameters:output (NXOpen.Die.DrawBeadBuilderOutputTypes) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

PlacementFace

DrawBeadBuilder.PlacementFace

Returns the collector containing faces (which will sew together) that identifies the surface shape the bead is attached too.

-------------------------------------

Getter Method

Signature PlacementFace

Returns:
Return type:NXOpen.ScCollector

New in version NX7.5.0.

License requirements: None.

ReferenceDirection

DrawBeadBuilder.ReferenceDirection

Returns or sets the indication if the “Left” direction for section orientation should be reversed from the default direction.

The default direction is determined by the cross of the centerline tangency and the draw direction. True indicates that the default calculation should be reversed.

-------------------------------------

Getter Method

Signature ReferenceDirection

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ReferenceDirection

Parameters:referenceDirection (bool) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ReverseMetalThickness

DrawBeadBuilder.ReverseMetalThickness

Returns or sets the indication if the thickness of the sheet metal should be the same as the sewn face normals.

True indicates that the sheet will be thickened in the same direction as the sewn face normals.

-------------------------------------

Getter Method

Signature ReverseMetalThickness

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ReverseMetalThickness

Parameters:reverseMetalThickness (bool) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SegmentList

DrawBeadBuilder.SegmentList

Returns the list of NXOpen.Die.DrawBeadSegmentBuilder defining the bead sections along the centerline.

-------------------------------------

Getter Method

Signature SegmentList

Returns:
Return type:NXOpen.Die.DrawBeadSegmentBuilderList

New in version NX7.5.0.

License requirements: None.

SheetMetalFaceAttribute

DrawBeadBuilder.SheetMetalFaceAttribute

Returns the attribute definition to be applied to the faces of the sheet metal sheet body.

-------------------------------------

Getter Method

Signature SheetMetalFaceAttribute

Returns:
Return type:NXOpen.Die.DieAttributesBuilder

New in version NX7.5.0.

License requirements: None.

SheetMetalSheetAttribute

DrawBeadBuilder.SheetMetalSheetAttribute

Returns the attribute definition to be applied to the sheet metal sheet body.

-------------------------------------

Getter Method

Signature SheetMetalSheetAttribute

Returns:
Return type:NXOpen.Die.DieAttributesBuilder

New in version NX7.5.0.

License requirements: None.

StartPoint

DrawBeadBuilder.StartPoint

Returns the point location defining the start of the centerline.

-------------------------------------

Getter Method

Signature StartPoint

Returns:
Return type:NXOpen.Die.DieLocationBuilder

New in version NX7.5.0.

License requirements: None.

StartTaper

DrawBeadBuilder.StartTaper

Returns the taper definition at the start of the bead.

-------------------------------------

Getter Method

Signature StartTaper

Returns:
Return type:NXOpen.Die.DrawBeadTaperBuilder

New in version NX7.5.0.

License requirements: None.

TaperBead

DrawBeadBuilder.TaperBead

Returns or sets the indication if the bead should allow taper to be added to the side walls.

Changing this will affect all segments and may affect the transition definition and output.

-------------------------------------

Getter Method

Signature TaperBead

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature TaperBead

Parameters:taperBead (bool) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

TransitionDefinition

DrawBeadBuilder.TransitionDefinition

Returns or sets the method used to build the transition between segments.

Changing this will affect all segments.

-------------------------------------

Getter Method

Signature TransitionDefinition

Returns:
Return type:NXOpen.Die.DrawBeadBuilderTransitionDefinitionTypes

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature TransitionDefinition

Parameters:transitionDefinition (NXOpen.Die.DrawBeadBuilderTransitionDefinitionTypes) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Method Detail

CreateDrawBeadSegment

DrawBeadBuilder.CreateDrawBeadSegment

Creates a NXOpen.Die.DrawBeadSegmentBuilder builder.

Signature CreateDrawBeadSegment()

Returns:
Return type:NXOpen.Die.DrawBeadSegmentBuilder

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

CreateSegmentsFromCenterlineCurves

DrawBeadBuilder.CreateSegmentsFromCenterlineCurves

For each curve of the centerline, create a bead segment.

Signature CreateSegmentsFromCenterlineCurves()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

GetMoreDetails

DrawBeadBuilder.GetMoreDetails

Get the detailed description strings of the draw bead.

Signature GetMoreDetails()

Returns:Array of detail strings.
Return type:list of str

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SetDefaultDrawDirection

DrawBeadBuilder.SetDefaultDrawDirection

Set the default draw direction to the -Z direction of the work coordinate system.

Signature SetDefaultDrawDirection()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SetMoreDetails

DrawBeadBuilder.SetMoreDetails

Set the detailed description strings of the draw bead.

Signature SetMoreDetails(strings)

Parameters:strings (list of str) – Array of detail strings.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Validate

DrawBeadBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.